import processing.serial.*;

SerialSelector selector;

void setup() {
  size(400, 300);
  selector = new SerialSelector(this);
  selector.show();
}

void draw() {
  
}

void mouseClicked() {
  selector.show();
}

void serialEvent(Serial port) {  
  Serial selected_port = selector.getSerial();

  if ( port == selected_port ) { 
    if ( port.available() > 0 ) {
      int recv_data = port.read();
      print(char(recv_data));
    }
  }
}

